osgPresentation::SlideShowConstructor::ScriptData Struct Reference

`#include <SlideShowConstructor>`

## Public Types

typedef std::vector< ScriptPair > | Scripts

## Public Member Functions

| ScriptData ()
bool | hasScripts () const

## Public Attributes

Scripts | scripts

## Member Typedef Documentation

## Scripts

typedef std::vector<ScriptPair> osgPresentation::SlideShowConstructor::ScriptData::Scripts

## Constructor & Destructor Documentation

## ScriptData()

osgPresentation::SlideShowConstructor::ScriptData::ScriptData | ( |  | ) |

inline

## Member Function Documentation

## hasScripts()

bool osgPresentation::SlideShowConstructor::ScriptData::hasScripts | ( |  | ) | const

inline

References scripts.

## Member Data Documentation

## scripts

Scripts osgPresentation::SlideShowConstructor::ScriptData::scripts

Referenced by hasScripts().

The documentation for this struct was generated from the following file:

- SlideShowConstructor